Subject: [alpine-devel] [PATCH] testing/libwebsockets: new aport

From: "V.Krishn" <[email-masked]>
Date: Sun, 8 Mar 2015 18:07:25 +0530

From: "V.Krishn" <[email-masked]>

C library for lightweight websocket clients and servers.
http://libwebsockets.org
---
 ...-use-of-internal-glibc-sys-cdefs.h-header.patch |   37 +++++++++++++
 testing/libwebsockets/APKBUILD                     |   56 ++++++++++++++++++++
 2 files changed, 93 insertions(+)
 create mode 100644 testing/libwebsockets/0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch
 create mode 100644 testing/libwebsockets/APKBUILD

diff --git a/testing/libwebsockets/0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch b/testing/libwebsockets/0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch
new file mode 100644
index 0000000..8b8c4dd
--- /dev/null
+++ b/testing/libwebsockets/0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch
@@ -0,0 +1,37 @@
+From d60ed24fcf1da7756292d176f5f9a3de09d8e156 Mon Sep 17 00:00:00 2001
+From: "V.Krishn" <[email-masked]>
+Date: Sun, 8 Mar 2015 09:35:27 +0000
+Subject: [PATCH] Avoid-use-of-internal-glibc-sys-cdefs.h-header
+
+---
+ lib/private-libwebsockets.h | 1 -
+ lib/sha-1.c                 | 1 -
+ 2 files changed, 2 deletions(-)
+
+diff --git a/lib/private-libwebsockets.h b/lib/private-libwebsockets.h
+index 6fae889..34b8224 100755
+--- a/lib/private-libwebsockets.h
++++ b/lib/private-libwebsockets.h
+@@ -194,7 +194,6 @@ typedef unsigned __int64 u_int64_t;
+ #else
+ 
+ #include <sys/stat.h>
+-#include <sys/cdefs.h>
+ #include <sys/time.h>
+ 
+ #if defined(__APPLE__)
+diff --git a/lib/sha-1.c b/lib/sha-1.c
+index 98b208b..bcad845 100644
+--- a/lib/sha-1.c
++++ b/lib/sha-1.c
+@@ -99,7 +99,6 @@ static const unsigned int _K[] =
+ 		sha1_step(ctxt);		\
+ 	}
+ 
+-static void sha1_step __P((struct sha1_ctxt *));
+ 
+ static void
+ sha1_step(struct sha1_ctxt *ctxt)
+-- 
+2.2.2
+
diff --git a/testing/libwebsockets/APKBUILD b/testing/libwebsockets/APKBUILD
new file mode 100644
index 0000000..729476f
--- /dev/null
+++ b/testing/libwebsockets/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: V.Krishn <[email-masked]>
+# Maintainer: Natanael Copa <[email-masked]>
+pkgname=libwebsockets
+pkgver=1.3
+pkgrel=0
+pkgdesc="C library for lightweight websocket clients and servers"
+url="http://libwebsockets.org"
+arch="all"
+license="LGPL2+"
+depends=
+depends_dev=""
+makedepends="$depends_dev"
+subpackages="$pkgname-doc $pkgname-dev"
+source="saveas-http://git.libwebsockets.org/cgi-bin/cgit/libwebsockets/snapshot/$pkgname-$pkgver-chrome37-firefox30.tar.gz/$pkgname-$pkgver.tar.gz
+	0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch
+	"
+
+_srcdir="${srcdir}/${pkgname}-${pkgver}-chrome37-firefox30"
+_builddir="${srcdir}/build"
+prepare() {
+        cd "$_srcdir"
+        for i in $source; do
+                case $i in
+                *.patch)
+                        msg "Applying $i"
+                        patch -p1 -i "$srcdir"/$i || return 1
+                        ;;
+                esac
+        done
+}
+
+
+build() {
+	mkdir "$_builddir"
+	cd "$_builddir"
+	cmake -DCMAKE_INSTALL_PREFIX=/usr \
+		"$_srcdir" || return 1
+	make
+}
+
+package() {
+	cd "$_srcdir"
+	install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE || return 1
+	cd "$_builddir"
+	rm -f "$pkgdir"/usr/lib/*.la
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+
+
+md5sums="63117f35174a5fe4ec062f6baa411638  libwebsockets-1.3.tar.gz
+b8d335dbe62cc38b58e593a3d2cd6eaf  0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch"
+sha256sums="022c91f821014c50b9db5fb93404df475dc081a7c23b57fca9529e3ddcc5d821  libwebsockets-1.3.tar.gz
+7dc31117023e27bc3cd6fb15135dd866c7c7e0d80627c78ee57598d103929f51  0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch"
+sha512sums="c179c6f64fb7082eea2df7e3ef24fd91db96dde62bea0c193d258e2cf417c0f1c3dff5ace7e49f32c15d330d339d6e3f767f38a60fbb33f825ff7071384d329c  libwebsockets-1.3.tar.gz
+b56ef2a08cdc0d08d8b229d6675379eff46fb54ee5a3a12538e80ce6d88dd0a2959565eea7622a6bd8aabf92a26d0b0f4a53425b567e600b5be097537db4c22f  0001-Avoid-use-of-internal-glibc-sys-cdefs.h-header.patch"
-- 
1.7.10.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---